---
title: formulaire
aura:
    pagetype: website
form:
    name: custom_form
    fields:
        name:
            label: Name
            placeholder: 'Enter your name'
            autocomplete: 'on'
            type: text
            validate:
                required: true
        email:
            label: Email
            placeholder: 'Enter your email address'
            type: email
            validate:
                required: true
        my-file:
            label: 'Add a file'
            type: file
            multiple: false
            destination: user/data/files
            accept:
                - application/pdf
                - application/x-pdf
                - image/png
                - text/plain
    buttons:
        -
            type: submit
            value: Envoyer
    process:
        -
            email:
                from: '{{ config.plugins.email.from }}'
                to: '{{ config.plugins.email.to }}'
                subject: '[inscriptions-] {{ form.value.name|e }}'
                body: '{% include "forms/data.html.twig" %}'
                attachments:
                    - my-file
        -
            save:
                fileprefix: inscriptions-
                dateformat: Y-H-u
                extension: txt
                body: '{% include "forms/data.txt.twig" %}'
        - null
        -
            message: 'Thank you for your feedback!'
            reset: true
---

Salut, je suis la page formulaire
